classification
Title: Unnecessary __future__ import in random module
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brian.curtin Nosy List: benjamin.peterson, brian.curtin, ezio.melotti, nneonneo, python-dev, rhettinger
Priority: normal Keywords:

Created on 2011-11-11 15:19 by nneonneo, last changed 2012-12-24 03:39 by brian.curtin. This issue is now closed.

Messages (8)
msg147437 - (view) Author: Robert Xiao (nneonneo) * Date: 2011-11-11 15:19
Lib/random.py in Python 3.2 contains the line

from __future__ import division

even though it is no longer necessary, as true float division is the default in Python 3.

Trivial patch:

--- lib/python3.2/random.py	2011-09-03 20:32:05.000000000 -0400
+++ lib/python3.2/random.py	2011-11-11 11:11:11.000000000 -0400
@@ -36,7 +36,6 @@
 
 """
 
-from __future__ import division
 from warnings import warn as _warn
 from types import MethodType as _MethodType, BuiltinMethodType as _BuiltinMethodType
 from math import log as _log, exp as _exp, pi as _pi, e as _e, ceil as _ceil
msg147438 - (view) Author: Roundup Robot (python-dev) Date: 2011-11-11 15:41
New changeset 3fdc5a75d6e1 by Brian Curtin in branch '3.2':
Fix #13384. Remove __future__ import in 3.x code.
http://hg.python.org/cpython/rev/3fdc5a75d6e1
msg147449 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-11-11 22:41
I thought we had a policy that future imports would never be removed.
msg147450 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-11-11 22:44
That's news to me since it probably pre-dates my involvement around here. I'll revert if that's correct.
msg147453 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-11-11 23:25
Things won't ever be removed from the __future__ module, but there's no harm in removing ones with no effect.
msg147455 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-11-12 01:25
At one point, for 2.x at least, we weren't removing the "from __future__" imports even after the feature became available.
msg147456 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-11-12 01:37
AFAIK on 2.x there are a few modules that are supposed to work even with older version of Python (I think I even saw one that is supposed to still be compatible with Python 1.5).
I don't think this is the case for Python 3 though.
msg178028 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-12-24 03:39
This went over a year without a request to undo it, and we've since made several releases that includes it, so I'm closing this. Please re-open if it does need to be reverted.
History
Date User Action Args
2012-12-24 03:39:22brian.curtinsetstatus: open -> closed

messages: + msg178028
2011-11-12 01:37:04ezio.melottisetnosy: + ezio.melotti
messages: + msg147456
2011-11-12 01:25:33rhettingersetmessages: + msg147455
2011-11-11 23:25:43benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg147453
2011-11-11 22:44:34brian.curtinsetmessages: + msg147450
2011-11-11 22:41:56rhettingersetstatus: closed -> open
nosy: + rhettinger
messages: + msg147449

2011-11-11 15:42:27brian.curtinsetstatus: open -> closed
assignee: brian.curtin
versions: - Python 3.4
nosy: + brian.curtin

type: behavior
resolution: fixed
stage: resolved
2011-11-11 15:41:37python-devsetnosy: + python-dev
messages: + msg147438
2011-11-11 15:19:45nneonneocreate